<?xml version="1.0" encoding="UTF-8"?>
<!-- PDS4 Schematron file for Imaging Dictionary -->
<!-- Generated from the PDS4_Imaging_1110_20140303084016_ext_ext.xml
  Ingest_LDD file (with supplemental Schematron rules) -->

<sch:schema xmlns:sch="http://purl.oclc.org/dsdl/schematron" queryBinding="xslt2">

  <sch:title>Schematron using XPath 2.0</sch:title>

  <sch:ns uri="http://pds.nasa.gov/pds4/img/v1" prefix="img"/>
  <sch:ns uri="http://pds.nasa.gov/pds4/pds/v1" prefix="pds"/>

  <sch:pattern id="Enumerated_Value_Checks">

    <sch:rule context="img:Instrument_Compression_Parameters">
      <sch:assert test="img:instrument_compression_type = ('lossless', 'lossy', 'uncompressed')">
        Imaging Dictionary: In the img:Instrument_Compression_Parameters class, the img:instrument_compression_type must be equal to one of the following values: 'lossless', 'lossy', 'uncompressed'.
      </sch:assert>
    </sch:rule>

    <sch:rule context="img:Telemetry_Parameters">
      <sch:assert test="img:downlink_telemetry_protocol_type = ('SFDU', 'Data Product', 'CFDP')">
        Imaging Dictionary: In the img:Telemetry_Parameters class, the img:downlink_telemetry_protocol_type must be equal to one of the following values: 'SFDU', 'Data Product', 'CFDP'.
      </sch:assert>
      <sch:assert test="img:telemetry_provider_id = ('MPCS', 'FDM', 'TTACS', 'TDS')">
        Imaging Dictionary: In the img:Telemetry_Parameters class, the img:telemetry_provider_id must be equal to one of the following values: 'MPCS', 'FDM', 'TTACS', 'TDS'.
      </sch:assert>
    </sch:rule>

    <sch:rule context="img:Packet_Parameters">
      <sch:assert test="img:missing_packet_flag = ('0', 'false', '1', 'true')">
        Imaging Dictionary: In the img:Packet_Parameters class, the img:missing_packet_flag must be equal to one of the following values: '0', 'false', '1', 'true'.
      </sch:assert>
    </sch:rule>

    <sch:rule context="img:Data_Correction_Parameters">
      <sch:assert test="img:antiblooming_state_flag = ('On', 'Off')">
        Imaging Dictionary: In the img:Data_Correction_Parameters class, the img:antiblooming_state_flag must be equal to one of the following values: 'On', 'Off'.
      </sch:assert>
      <sch:assert test="img:bad_pixel_replacement_flag = ('true', '1', 'false', '0')">
        Imaging Dictionary: In the img:Data_Correction_Parameters class, the img:bad_pixel_replacement_flag must be equal to one of the following values: 'true', '1', 'false', '0'.
      </sch:assert>
      <sch:assert test="img:blemish_protection_flag = ('On', 'Off')">
        Imaging Dictionary: In the img:Data_Correction_Parameters class, the img:blemish_protection_flag must be equal to one of the following values: 'On', 'Off'.
      </sch:assert>
      <sch:assert test="img:dark_current_correction_flag = ('false', '0', 'true', '1')">
        Imaging Dictionary: In the img:Data_Correction_Parameters class, the img:dark_current_correction_flag must be equal to one of the following values: 'false', '0', 'true', '1'.
      </sch:assert>
      <sch:assert test="img:flat_field_correction_flag = ('false', '0', 'true', '1')">
        Imaging Dictionary: In the img:Data_Correction_Parameters class, the img:flat_field_correction_flag must be equal to one of the following values: 'false', '0', 'true', '1'.
      </sch:assert>
      <sch:assert test="img:light_flood_state_flag = ('On', 'Off')">
        Imaging Dictionary: In the img:Data_Correction_Parameters class, the img:light_flood_state_flag must be equal to one of the following values: 'On', 'Off'.
      </sch:assert>
      <sch:assert test="img:shutter_effect_correction_flag = ('false', '0', 'true', '1')">
        Imaging Dictionary: In the img:Data_Correction_Parameters class, the img:shutter_effect_correction_flag must be equal to one of the following values: 'false', '0', 'true', '1'.
      </sch:assert>
    </sch:rule>
  </sch:pattern>

</sch:schema>
