<?xml version="1.0" encoding="UTF-8"?>
  <!-- PDS4 Schematron for Name Space Id:epoxi  Version:0.1.0.0 - Tue Aug 26 17:01:21 EDT 2014 -->
  <!-- Generated from the PDS4 Information Model Version 1.3.0.0 - System Build 5a -->
  <!-- *** This PDS4 schematron file is an operational deliverable. *** -->
<sch:schema xmlns:sch="http://purl.oclc.org/dsdl/schematron" queryBinding="xslt2">

  <sch:title>Schematron using XPath 2.0</sch:title>

  <sch:ns uri="http://pds.nasa.gov/pds4/mission/epoxi/v0" prefix="epoxi"/>

		   <!-- ================================================ -->
		   <!-- NOTE:  There are two types of schematron rules.  -->
		   <!--        One type includes rules written for       -->
		   <!--        specific situations. The other type are   -->
		   <!--        generated to validate enumerated value    -->
		   <!--        lists. These two types of rules have been -->
		   <!--        merged together in the rules below.       -->
		   <!-- ================================================ -->
  <sch:pattern>
    <sch:rule context="epoxi:Geometry_Detail">
      <sch:assert test="if (epoxi:geometry_quality) then epoxi:geometry_quality = ('BAD', 'OK') else true()">
        The attribute epoxi:geometry_quality must be equal to one of the following values 'BAD', 'OK'.</sch:assert>
      <sch:assert test="if (epoxi:geometry_type) then epoxi:geometry_type = ('PREDICTED', 'RECONSTRUCTED') else true()">
        The attribute epoxi:geometry_type must be equal to one of the following values 'PREDICTED', 'RECONSTRUCTED'.</sch:assert>
    </sch:rule>
  </sch:pattern>
  <sch:pattern>
    <sch:rule context="epoxi:Instrument_Parameters">
      <sch:assert test="if (epoxi:spectrometer_mode_name) then epoxi:spectrometer_mode_name = ('ALTFF', 'BINFF', 'BINSF1', 'BINSF2', 'DIAG', 'MEMCK', 'UBFF') else true()">
        The attribute epoxi:spectrometer_mode_name must be equal to one of the following values 'ALTFF', 'BINFF', 'BINSF1', 'BINSF2', 'DIAG', 'MEMCK', 'UBFF'.</sch:assert>
      <sch:assert test="if (epoxi:image_compression) then epoxi:image_compression = ('COMPRESSED', 'DECOMPRESSED', 'UNCOMPRESSED') else true()">
        The attribute epoxi:image_compression must be equal to one of the following values 'COMPRESSED', 'DECOMPRESSED', 'UNCOMPRESSED'.</sch:assert>
      <sch:assert test="if (epoxi:spacecraft_processor_id) then epoxi:spacecraft_processor_id = ('SCU-A', 'SCU-B') else true()">
        The attribute epoxi:spacecraft_processor_id must be equal to one of the following values 'SCU-A', 'SCU-B'.</sch:assert>
    </sch:rule>
  </sch:pattern>
  <sch:pattern>
    <sch:rule context="epoxi:Instrument_Temperature/epoxi:temperature">
      <sch:assert test="@unit = ('K', 'degC')">
        The attribute @unit must be equal to one of the following values 'K', 'degC'.</sch:assert>
    </sch:rule>
  </sch:pattern>
  <sch:pattern>
    <sch:rule context="epoxi:Instrument_Voltage/epoxi:voltage">
      <sch:assert test="@unit = ('V', 'mV')">
        The attribute @unit must be equal to one of the following values 'V', 'mV'.</sch:assert>
    </sch:rule>
  </sch:pattern>
  <sch:pattern>
    <sch:rule context="epoxi:Mission_Parameters">
      <sch:assert test="if (epoxi:mission_phase) then epoxi:mission_phase = ('9P ENCOUNTER', 'CRUISE 3') else true()">
        The attribute epoxi:mission_phase must be equal to one of the following values '9P ENCOUNTER', 'CRUISE 3'.</sch:assert>
      <sch:assert test="if (epoxi:mission_activity_type) then epoxi:mission_activity_type = ('CONTINUOUS COMET IMAGING', 'GARRADD') else true()">
        The attribute epoxi:mission_activity_type must be equal to one of the following values 'CONTINUOUS COMET IMAGING', 'GARRADD'.</sch:assert>
    </sch:rule>
  </sch:pattern>
  <sch:pattern>
    <sch:rule context="epoxi:Observation_Parameters">
      <sch:assert test="if (epoxi:product_type) then epoxi:product_type = ('RADIANCE_CLEANED', 'RADIANCE_REVERSIBLE', 'RAW') else true()">
        The attribute epoxi:product_type must be equal to one of the following values 'RADIANCE_CLEANED', 'RADIANCE_REVERSIBLE', 'RAW'.</sch:assert>
      <sch:assert test="if (epoxi:spectrometer_mode_name) then epoxi:spectrometer_mode_name = ('ALTFF', 'BINFF', 'BINSF1', 'BINSF2', 'DIAG', 'MEMCK', 'UBFF') else true()">
        The attribute epoxi:spectrometer_mode_name must be equal to one of the following values 'ALTFF', 'BINFF', 'BINSF1', 'BINSF2', 'DIAG', 'MEMCK', 'UBFF'.</sch:assert>
    </sch:rule>
  </sch:pattern>
  <sch:pattern>
    <sch:rule context="epoxi:Observation_Parameters/epoxi:total_integration_time">
      <sch:assert test="@unit = ('day', 'hr', 'julian day', 'microseconds', 'min', 'ms', 's', 'yr')">
        The attribute @unit must be equal to one of the following values 'day', 'hr', 'julian day', 'microseconds', 'min', 'ms', 's', 'yr'.</sch:assert>
    </sch:rule>
  </sch:pattern>
  <sch:pattern>
    <sch:rule context="epoxi:Spacecraft_Rotational_Velocity_Vector/epoxi:RVx">
      <sch:assert test="@unit = ('deg/day', 'deg/s', 'rad/s')">
        The attribute @unit must be equal to one of the following values 'deg/day', 'deg/s', 'rad/s'.</sch:assert>
    </sch:rule>
  </sch:pattern>
  <sch:pattern>
    <sch:rule context="epoxi:Spacecraft_Rotational_Velocity_Vector/epoxi:RVy">
      <sch:assert test="@unit = ('deg/day', 'deg/s', 'rad/s')">
        The attribute @unit must be equal to one of the following values 'deg/day', 'deg/s', 'rad/s'.</sch:assert>
    </sch:rule>
  </sch:pattern>
  <sch:pattern>
    <sch:rule context="epoxi:Spacecraft_Rotational_Velocity_Vector/epoxi:RVz">
      <sch:assert test="@unit = ('deg/day', 'deg/s', 'rad/s')">
        The attribute @unit must be equal to one of the following values 'deg/day', 'deg/s', 'rad/s'.</sch:assert>
    </sch:rule>
  </sch:pattern>
</sch:schema>
