<?xml version="1.0" encoding="UTF-8"?>
  <!-- PDS4 Schematron for Name Space Id:soho  Version:0.1.0.0 - Wed Aug 06 18:21:57 EDT 2014 -->
  <!-- Generated from the PDS4 Information Model Version 1.3.0.0 - System Build 5a -->
  <!-- *** This PDS4 schematron file is an operational deliverable. *** -->
<sch:schema xmlns:sch="http://purl.oclc.org/dsdl/schematron" queryBinding="xslt2">

  <sch:title>Schematron using XPath 2.0</sch:title>

  <sch:ns uri="http://pds.nasa.gov/pds4/mission/soho/v0" prefix="soho"/>

		   <!-- ================================================ -->
		   <!-- NOTE:  There are two types of schematron rules.  -->
		   <!--        One type includes rules written for       -->
		   <!--        specific situations. The other type are   -->
		   <!--        generated to validate enumerated value    -->
		   <!--        lists. These two types of rules have been -->
		   <!--        merged together in the rules below.       -->
		   <!-- ================================================ -->
  <sch:pattern>
    <sch:rule context="soho:SOHO_Parameters">
      <sch:assert test="if (soho:filter_name) then soho:filter_name = ('C2 Blue', 'C2 Deep Red', 'C2 H-alpha', 'C2 Orange', 'C3 Blue', 'C3 Clear', 'C3 Deep Red', 'C3 H-alpha', 'C3 I-75', 'C3 Infrared', 'C3 Orange') else true()">
        The attribute soho:filter_name must be equal to one of the following values 'C2 Blue', 'C2 Deep Red', 'C2 H-alpha', 'C2 Orange', 'C3 Blue', 'C3 Clear', 'C3 Deep Red', 'C3 H-alpha', 'C3 I-75', 'C3 Infrared', 'C3 Orange'.</sch:assert>
    </sch:rule>
  </sch:pattern>
  <sch:pattern>
    <sch:rule context="soho:SOHO_Parameters/soho:exposure_duration">
      <sch:assert test="@unit = ('day', 'hr', 'julian day', 'microseconds', 'min', 'ms', 's', 'yr')">
        The attribute @unit must be equal to one of the following values 'day', 'hr', 'julian day', 'microseconds', 'min', 'ms', 's', 'yr'.</sch:assert>
    </sch:rule>
  </sch:pattern>
  <sch:pattern>
    <sch:rule context="soho:SOHO_Parameters/soho:horizontal_pixel_size">
      <sch:assert test="@unit = ('arcmin', 'arcsec', 'deg', 'hr', 'mrad', 'rad')">
        The attribute @unit must be equal to one of the following values 'arcmin', 'arcsec', 'deg', 'hr', 'mrad', 'rad'.</sch:assert>
    </sch:rule>
  </sch:pattern>
  <sch:pattern>
    <sch:rule context="soho:SOHO_Parameters/soho:vertical_pixel_size">
      <sch:assert test="@unit = ('arcmin', 'arcsec', 'deg', 'hr', 'mrad', 'rad')">
        The attribute @unit must be equal to one of the following values 'arcmin', 'arcsec', 'deg', 'hr', 'mrad', 'rad'.</sch:assert>
    </sch:rule>
  </sch:pattern>
</sch:schema>
